<div
  class='attributes-value-date'
  {{did-insert this.setupElement}}
  ...attributes
>
  {{#if this.showCalendar}}
    <button
      type='button'
      class='btn btn-link btn-hide float-end'
      {{on 'click' this.toggleCalendar}}
    >
      {{t 'hide calendar'}}
    </button>
  {{else}}
    <button
      type='button'
      class='btn btn-link btn-change float-end'
      {{on 'click' this.toggleCalendar}}
    >
      {{t 'change'}}
    </button>
  {{/if}}

  {{#if this.value}}
    <div class='current-value p-2 ps-3'>
      {{this.value}}
    </div>
  {{else}}
    {{#if this.showCalendar}}
      <div class='select-new-date-message p-2 ps-3'>
        {{capitalize (t 'select a date from the calendar')}}
      </div>
    {{else}}
      <button
        class='btn btn-link btn-select-new-date'
        type='button'
        {{on 'click' this.toggleCalendar}}
      >
        {{capitalize (t 'select a date from the calendar')}}
      </button>
    {{/if}}
  {{/if}}
  <div class='d-flex justify-content-center'>
    <div
      class='calendar-container m-2 {{if this.showCalendar "" "d-none"}}'
      data-date={{this.value}}
      {{on 'changeDate' this.change}}
      {{did-insert this.setupCalendar}}
    >
    </div>
  </div>
</div>